View Issue Details

IDProjectCategoryView StatusLast Update
15727Bug reportsSurvey takingpublic2020-01-27 10:13
Reportertpartner Assigned Top_teichmann  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Target Version4.0.x 
Summary15727: Question text translations not displayed in the front end
Description

In a survey with additional languages, only the base language is seen in the survey regardless of what language the survey is viewed in.

The translations do seem to be stored correctly as they are displayed correctly in the admin GUI.

See screen-cast here - https://screencast-o-matic.com/watch/cYVDDDvGYQ

Sample survey attached.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

tpartner

tpartner

2020-01-16 17:24

developer  

cdorin

cdorin

2020-01-16 17:27

manager   ~55331

Pls check for preview questions, qgroups, and survey + execute survey (active survey)

p_teichmann

p_teichmann

2020-01-17 15:27

administrator   ~55359

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29407

p_teichmann

p_teichmann

2020-01-17 15:28

administrator   ~55360

commited to https://github.com/LimeSurvey/LimeSurvey/commit/a008c3281c7904ece18c49bce101b718a4066bb9

lime_release_bot

lime_release_bot

2020-01-27 10:13

administrator   ~55477

Fixed in Release 4.0.1+200120

Related Changesets

LimeSurvey: master a008c328

2020-01-17 15:26:46

p_teichmann

Details Diff
Fixed issue 15727: Question text translations not displayed in the front end Affected Issues
15727
mod - application/helpers/common_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-01-16 17:24 tpartner New Issue
2020-01-16 17:24 tpartner Status new => assigned
2020-01-16 17:24 tpartner Assigned To => cdorin
2020-01-16 17:24 tpartner File Added: limesurvey_survey_698536(1).lss
2020-01-16 17:26 cdorin Assigned To cdorin => p_teichmann
2020-01-16 17:27 cdorin Note Added: 55331
2020-01-17 15:27 p_teichmann Changeset attached => LimeSurvey master a008c328
2020-01-17 15:27 p_teichmann Note Added: 55359
2020-01-17 15:27 p_teichmann Resolution open => fixed
2020-01-17 15:28 p_teichmann Status assigned => resolved
2020-01-17 15:28 p_teichmann Note Added: 55360
2020-01-27 10:13 lime_release_bot Note Added: 55477
2020-01-27 10:13 lime_release_bot Status resolved => closed